Loading...
Searching...
No Matches
casacore::CountedPtr_global_functions_dereference_error Struct Reference
casa package (libcasa_casa) » Utilities_module

More...

`#include <CountedPtr.h>`

## Public Member Functions

void | throw_Null_CountedPtr_dereference_error ()

## Detailed Description

act on dereference error

### Synopsis

Global function that throws an exception. It is called by the member functions of the counted pointer classes when an un-initialized (null) pointer is followed.

Definition at line 51 of file CountedPtr.h.

## Member Function Documentation

## throw_Null_CountedPtr_dereference_error()

void casacore::CountedPtr_global_functions_dereference_error::throw_Null_CountedPtr_dereference_error | ( |  | ) |

The documentation for this struct was generated from the following file:

- casa/Utilities/CountedPtr.h